I am trying to compile a program called gyachi on my freebsd 6.1 machine and am having a ton of problems. I consulted the gyachi forums but most people there are running on one flavor of linux or another, nobody has it on freebsd that i can tell, so now i am turning here.

at first my configure would stop at alsa, even though i have the linux-compatible alsa programs, so then i used the --with-esd switch and now i'm getting stopped with the following error: checking for lt_dlopen in -lltdl... no configure: error: cannot find ltdl library I have libtool installed and and under /usr/local/lib i have: libltdl.a libltdl.la libltdl.so libltdl.so.4 I tried using the --with-libintl-prefix switch like so: ./configure --enable-esd --with-gnu-ld --with-libintl-prefix=/usr/local it's still not finding it, same error again. I looked in the readme for libltdl and here is what it says: /usr/local/share/libtool/libltdl]# less README This is GNU libltdl, a system independent dlopen wrapper for GNU libtool. It supports the following dlopen interfaces: * dlopen (Solaris, Linux and various BSD flavors) * shl_load (HP-UX) * LoadLibrary (Win16 and Win32) * load_add_on (BeOS) * GNU DLD (emulates dynamic linking for static libraries) * dyld (darwin/Mac OS X) * libtool's dlpreopen


Just one other note, like the fedora guys that got their's working by linking /usr/local/share/libtool/libltdl/ltdl.h to /usr/include this does not fix the problem on my system. i get the exact same error. checking for lt_dlopen in -lltdl... no configure: error: cannot find ltdl library

I'd really like to get this working if possible (and i'm sure it is) all help would be appreciated. I can submit my config.log if that would help. Thanks in advance.
Aaron
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to